Loading...
Searching...
No Matches
Audio Struct Reference
Internal implementation detail » Audio playback and recording implementation

Base class for play/record state. More...

Inheritance diagram for Audio:
Collaboration diagram for Audio:

## Public Member Functions

Constructors
| Audio ()
| Default constructor.
| ~Audio ()
| Default destructor.

## Public Attributes

string | term_digits
| digits which terminate collection
AudioCompress | mode
| current play mode
AudioState | state
| current state
float | hw_gain
| hardware gain parameter
float | sw_gain
| software gain parameter
float | linear_gain
| linear gain
pthread_mutex_t | mutex
| global state protection
pthread_cond_t | cond
| state change signalling

## Detailed Description

Base class for play/record state.